---
lang: en
title: 'API docs: graphql.graphqlserver.exportgraphqlschema'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/graphql
permalink: /doc/en/lb4/apidocs.graphql.graphqlserver.exportgraphqlschema.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/graphql](./graphql.md) &gt; [GraphQLServer](./graphql.graphqlserver.md) &gt; [exportGraphQLSchema](./graphql.graphqlserver.exportgraphqlschema.md)

## GraphQLServer.exportGraphQLSchema() method

**Signature:**

```typescript
exportGraphQLSchema(outFile?: string, log?: {
        (...data: any[]): void;
        (message?: any, ...optionalParams: any[]): void;
    }): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  outFile | string | _(Optional)_ |
|  log | { (...data: any\[\]): void; (message?: any, ...optionalParams: any\[\]): void; } | _(Optional)_ |

**Returns:**

Promise&lt;void&gt;


